IcedTea-Web NetX

## net.sourceforge.jnlp
Class RelatedContentDesc

    java.lang.Object
      net.sourceforge.jnlp.RelatedContentDesc

    public class RelatedContentDesc

extends java.lang.Object

Constructor Summary
`RelatedContentDesc(java.net.URL href)` Create a related-content descriptor

Method Summary
`java.lang.String` `getDescription()` Returns the description of the related content
`IconDesc` `getIcon()` Returns the icon descriptor for the realted content
`java.net.URL` `getLocation()` Returns the location of the related content.
`java.lang.String` `getTitle()` Returns the title of this content..
`void` `setDescription(java.lang.String description)` Set the description of this related content
`void` `setIconDesc(IconDesc icon)` Set the icon for this related content
`void` `setTitle(java.lang.String title)` Set the title of this content

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelatedContentDesc

    public RelatedContentDesc(java.net.URL href)

  Create a related-content descriptor

  Parameters:
    `href` - the url of the related content

Method Detail

### setTitle

    public void setTitle(java.lang.String title)

  Set the title of this content

  Parameters:
    `title` - the title of this content

### getTitle

    public java.lang.String getTitle()

  Returns the title of this content..

### setDescription

    public void setDescription(java.lang.String description)

  Set the description of this related content

### getDescription

    public java.lang.String getDescription()

  Returns the description of the related content

### getLocation

    public java.net.URL getLocation()

  Returns the location of the related content. Not null

### setIconDesc

    public void setIconDesc(IconDesc icon)

  Set the icon for this related content

### getIcon

    public IconDesc getIcon()

  Returns the icon descriptor for the realted content

IcedTea-Web NetX

Submit a bug or feature